import "./bootstrap";
import "../css/app.css";
import "../css/animate.css";
import "../css/bootstrap-icons.min.css";
import "../css/daterangepicker.css";
import "../css/fancybox.min.css";
import "../css/jarallax.css";
import "../css/jquery-ui.css";
import "../css/leaflet.css";
import "../css/select2.min.css";
import "../css/styles.css";
import "../css/swiper-bundle.min.css";
import { mdiWhatsapp } from "@mdi/js";
import Icon from "@mdi/react";

import { createRoot } from "react-dom/client";
import { createInertiaApp } from "@inertiajs/react";
import { resolvePageComponent } from "laravel-vite-plugin/inertia-helpers";

const appName = import.meta.env.VITE_APP_NAME || "Laravel";

createInertiaApp({
    title: (title) => `${title} | ${appName}`,
    resolve: (name) =>
        resolvePageComponent(
            `./Pages/${name}.jsx`,
            import.meta.glob("./Pages/**/*.jsx")
        ),
    setup({ el, App, props }) {
        const root = createRoot(el);

        root.render(
            <>
                <App {...props} />
                <a
                    target="_blank"
                    href="https://wa.me/+255764294329?text=I%20would%20like%20to%20book%20a%20tour%20with%20Travellerswings.%20Please%20provide%20more%20information"
                    className="fixed bottom-7  bg-green-500 right-7 p-1 rounded-full shadow-lg"
                >
                    <Icon
                        path={mdiWhatsapp}
                        className="text-white text-xl"
                        size={1.8}
                    />
                </a>
            </>
        );
    },
    progress: {
        color: "#4B5563",
    },
});
